Subject: [bug#52388] [PATCH] build-system: emacs: Add generation of -pkg.el files.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 21 Jan 2022 17:57:35 +0100

Hi Andrew,

Am Freitag, dem 21.01.2022 um 15:11 +0300 schrieb Andrew Tropin:
> > As promised, I took a deeper look at your patch.  As already noted,
> > there were some clean-up actions I had to perform, such as keeping
> > to our line limit (it was not easy, I tell you) among other
> > things.  Also, confusingly, your condition-case code did not handle
> > errors and wrong handling of the version field blew up everything
> > for me.  Did you test this code?
> 
> I thought it was the version I used for past a few weeks, however I
> could send a little outdated version, not the latest one by accident.
> Tested it with guix build emacs-paredit.
> 
> See your fix which wraps both forms in one let, thank you, yep, it's
> very likely I sent an intermediate version of the patch
> accidentially.
Git index not up to date, truly a classic :)

> > +           ;; before trying to create package-desc.  Otherwis the
> > whole process
> 
> s/Otherwis/Otherwise,
Thanks.

> Applied on my local checkout of guix channel, list-packages now shows
> 117 external packages =)  Will keep it for a while and let you know
> if any problems will reveal themselves.
Fair enough, I'll reset my "14 days without review" clock then :)